package com.younike.common.core.domain.entity;

import com.younike.common.annotation.Excel;
import com.younike.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 小区管理人员和小区关联对象 sys_user_group
 *
 * @author elev
 * @date 2021-12-08
 */
public class SysUserGroup
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 分组ID */
    private Long groupId;

    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId()
    {
        return groupId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("groupId", getGroupId())
            .toString();
    }
}
